×

Discussion Board

Results 1 to 15 of 16

Hybrid View

  1. #1
    Registered User
    Join Date
    Apr 2008
    Posts
    34

    Exclamation [moved] S60 5th Edition - Platform compatibility

    I got the same problem with my themes.
    My pkg looks like this:

    Code:
    File created with SkinCompiler v0.0.82
    ;
    ;
    ; Installation file for themepackage skin
    ;
    &EN
    ;
    ; Package header
    ;
    #{"Lost World"},(0x1028315f),1,0,0
    ;
    ; Supports Series 60 v3.x
    ; This line indicates that this installation is for the Series 60 platform v3.x
    ; This line must appear _exactly_ as shown below in the sis file
    ; If this line is missing or incorrect,the sis file will not be able
    ; to be installed on Series 60 v3.x platforms
    ;
    [0x101f7961],0,0,0,{"Series60v3.0"}
    ;
    ; Requires Series 60 Skins Support
    ;
    (0xA00000EB),0,0,0,{"Series60SkinsSupport"}
    ;
    ; Requires Series 60 Scalable Skins Support
    ;
    (0x10207113),0,0,0,{"Series60ScalableSkinsSupport"}
    ;
    ; Non-localised vendor name
    ;
    :"Unknown Vendor"
    ;
    ; Localised vendor name
    ;
    %{"Vendor-EN"}
    ;
    ; Files to install
    ;
    IF PACKAGE(0X102032BE) ; CHECK FOR S60 3.1 STUB SIS
    "themepackage.mbm" - "!:\resource\skins\1028315f\themepackage.mbm"
    "themepackage.mif" - "!:\resource\skins\1028315f\themepackage.mif"
    ELSE
    "themepackage.mbm" - "!:\private\10207114\import\1028315f\themepackage.mbm"
    "themepackage.mif" - "!:\private\10207114\import\1028315f\themepackage.mif"
    ENDIF
    "themepackage.skn" - "!:\private\10207114\import\1028315f\themepackage.skn"
    ;Dummy entry for the possible skin .ini file,so that it gets removed on uninstall
    "" - "!:\private\10207114\import\1028315f\1028315f.ini",FN
    ;
    ; End of file
    ;
    I think i have to add S60 5th Ed. Identification.
    But where?
    And how can i update my pkg file in my final sis?

    Greetz
    Last edited by ltomuta; 2008-11-26 at 16:36. Reason: Added [code][/code] tags

  2. #2
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Is there a problem with CWindowGc::BitBlt() on the 5800 in S60 5th Ed ?

    Quote Originally Posted by Tarantino View Post
    I got the same problem with my themes.
    My pkg looks like this:

    Code:
    File created with SkinCompiler v0.0.82
    ;
    ;
    ; Installation file for themepackage skin
    ;
    &EN
    ;
    ; Package header
    ;
    #{"Lost World"},(0x1028315f),1,0,0
    ;
    ; Supports Series 60 v3.x
    ; This line indicates that this installation is for the Series 60 platform v3.x
    ; This line must appear _exactly_ as shown below in the sis file
    ; If this line is missing or incorrect,the sis file will not be able
    ; to be installed on Series 60 v3.x platforms
    ;
    [0x101f7961],0,0,0,{"Series60v3.0"}
    ;
    ; Requires Series 60 Skins Support
    ;
    (0xA00000EB),0,0,0,{"Series60SkinsSupport"}
    ;
    ; Requires Series 60 Scalable Skins Support
    ;
    (0x10207113),0,0,0,{"Series60ScalableSkinsSupport"}
    ;
    ; it would make a lot of sense to add it here, right?
    ;Supports S60 5th Edition
    [0x1028315F], 0, 0, 0, {"Series60ProductID"};
    ; Non-localised vendor name
    ;
    :"Unknown Vendor"
    ;
    ; Localised vendor name
    ;
    %{"Vendor-EN"}
    ;
    ; Files to install
    ;
    IF PACKAGE(0X102032BE) ; CHECK FOR S60 3.1 STUB SIS
    "themepackage.mbm" - "!:\resource\skins\1028315f\themepackage.mbm"
    "themepackage.mif" - "!:\resource\skins\1028315f\themepackage.mif"
    ELSE
    "themepackage.mbm" - "!:\private\10207114\import\1028315f\themepackage.mbm"
    "themepackage.mif" - "!:\private\10207114\import\1028315f\themepackage.mif"
    ENDIF
    "themepackage.skn" - "!:\private\10207114\import\1028315f\themepackage.skn"
    ;Dummy entry for the possible skin .ini file,so that it gets removed on uninstall
    "" - "!:\private\10207114\import\1028315f\1028315f.ini",FN
    ;
    ; End of file
    ;
    I think i have to add S60 5th Ed. Identification.
    But where?
    And how can i update my pkg file in my final sis?

    Greetz
    See text in red in the code section. As for how to build the SIS that pretty much depends on the toolchain available with Carbide.ui. Is there a makesis.exe or createsis.exe on your system?
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  3. #3
    Registered User
    Join Date
    Apr 2008
    Posts
    34

    Re: Is there a problem with CWindowGc::BitBlt() on the 5800 in S60 5th Ed ?

    No i got no makesis.exe or something on my system.
    So i need an extra tool to get my .pkg in my final .sis?
    Thanks for your fast reply.

  4. #4
    Super Contributor
    Join Date
    Mar 2004
    Location
    Singapore
    Posts
    9,968

    Re: Is there a problem with CWindowGc::BitBlt() on the 5800 in S60 5th Ed ?

    Quote Originally Posted by Tarantino View Post
    No i got no makesis.exe or something on my system.
    So i need an extra tool to get my .pkg in my final .sis?
    Thanks for your fast reply.
    makesis comes with SDK. so if you can compile then you can make a sis with out any 3rd party tool.

  5. #5
    Registered User
    Join Date
    Apr 2008
    Posts
    34

    Re: Is there a problem with CWindowGc::BitBlt() on the 5800 in S60 5th Ed ?

    Ok but which file do i open with makesis so that my new pkg is
    packed too in my sis. And where should i edit my pkg??
    Sorry i`m not a programmer and i dont understand how to get my edited pkg in my final sis.

  6. #6
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,359

    Re: Is there a problem with CWindowGc::BitBlt() on the 5800 in S60 5th Ed ?

    Tarantino,

    you should rather give feedback to the Carbide.ui developers and wait until they add support to S60 5th Edition to the tool.

    It would not make sense for you to download a 400MB SDK just to get access to makesis.exe
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  7. #7
    Nokia Developer Expert
    Join Date
    Jun 2008
    Posts
    109

    Re: [moved] S60 5th Edition - Platform compatibility

    Here is the solution to 5th Edition waring message problem::

    Themes developed using the S60 5th Edition plug-in require a new compiler to enable the Carbide.ui Create New Package utility to create an appropriate SIS package for the theme.

    If the correct compiler is not used any SIS package containing a S60 5th Edition theme will display the warning Application not compatible with phone. Continue anyway? to the user during the installation process. Using the correct compiler eliminates this message.

    The compiler is available as part of the Carbide.ui 3.4 Theme Edition Compilers package, which can be found by clicking the Download Carbide.ui Compilers button on the Forum Nokia website’s Carbide.ui page (www.forum.nokia.com/carbideui).

    The Carbide.ui Theme Edition Compilers: Installation and User Guide provides full details on how to install and use these compilers.
    http://www.forum.nokia.com/info/sw.n...ser_Guide.html

    BR,
    PG

  8. #8
    Registered User
    Join Date
    Dec 2008
    Posts
    20

    Re: [moved] S60 5th Edition - Platform compatibility

    Hi everybody!
    I really hope there's someone who can help me!!!
    I'd like to edit the .sis package that Carbide creates in order to add to it one or two .txt files.
    I woudn't like to use any external apps like SisWare or such things.
    I'd like to know if the .pkg file is editable from Carbide. It seems so to me, but in the end any changes are ignored.
    I tried many times and it seems not editable, even if I add the following:
    "first.txt"-"!:\system\first.txt", FT, TC
    "second.txt"-"!:\system\second.txt", FT, TC
    Once saved, I think that all goes right, but... no!
    To sum a bit of it of my question: is there a way to make Carbide read the modified .pkg instead of the original one? I'd like to edit the .pkg file in order to add visible .txt files during installation.

    ps: I really hope you understand what I mean. If not so, sorry for my English! ;-)

Similar Threads

  1. Replies: 35
    Last Post: 2009-04-11, 14:36
  2. S60 5th Edition SDK, EMULATOR crashing
    By zoiks_guy in forum Symbian Tools & SDKs
    Replies: 4
    Last Post: 2009-01-16, 05:37
  3. [moved] I can't install S60 5th edition on my PC
    By xuwei0317 in forum Tools and SDK Feedback (Closed)
    Replies: 2
    Last Post: 2008-10-20, 15:07
  4. [moved] How to use compatibility mode in s60 5.0
    By punxism in forum Symbian User Interface
    Replies: 3
    Last Post: 2008-10-13, 05:30
  5. Where is SDK for S60 1st Edition?
    By MDWPPC in forum Mobile Java Tools & SDKs
    Replies: 5
    Last Post: 2007-02-08, 07:04

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×